Bug 73082 - glxgears causes video corruption.
glxgears causes video corruption.
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
Blocks: 82776 82777
  Show dependency treegraph
Reported: 2002-08-30 10:29 EDT by James Riggs
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-30 00:13:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
XFree86 log file from 7.3 and M7 video chip with glxgears corruption (27.11 KB, text/plain)
2002-09-04 11:58 EDT, James Riggs
no flags Details

  None (edit)
Description James Riggs 2002-08-30 10:29:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020828

Description of problem:
When glxgears s run on an X display using either the ATI Mobility M7 or a Matrox
G450, the display is not cleaned up after glxgears is closed.  The glxgears
corrupts the display.  This can perhaps happen with other video cards, but have
only had an M7 and a G450 to test with at the moment.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. open of terminal and execute glxgears
2. close glxgears.

Actual Results:  glxgears display is not cleaned up from display

Expected Results:  All rements of the glxgears window to be cleared after the
window is closed.

Additional info:

This also happens with public beta (null)
Comment 1 Mike A. Harris 2002-09-01 06:27:29 EDT
Please attach your X server log and config file using the link

Comment 2 James Riggs 2002-09-04 11:58:59 EDT
Created attachment 74886 [details]
XFree86 log file from 7.3 and M7 video chip with glxgears corruption
Comment 3 Mike A. Harris 2004-08-30 00:13:31 EDT
The config file never got attached to this report, and since the
issue is almost 2 years old now, I'm assuming the problem has went
away in a newer X release.  If the problem still exists in Fedora
Core development with xorg-x11-, feel free to reopen the
issue and attach both the X server log file and the X server config
file from the problematic video setup.

Setting status to "RAWHIDE"

Note You need to log in before you can comment on or make changes to this bug.